What is Flashpaste?

Flashpaste is a utility for making it easier to enter the frequently used text blocks: greetings, standard phrases, e-mail addresses, Internet addresses, logins/passwords, etc. This program is the perfect tool for your work with text. It actually inserts the text into any text box. It will give you a solid boost in work productivity.

You enter the necessary text once in the database by specifying two strings. One of them will be displayed in the popup list and the second one will be actually inserted in the appropriate place. When you need to enter a pre-defined phrase, you just press the hot key (you specify it in the program dialog) and select the necessary line from the popup list. To select the line, you may type its first symbols.

You can use various macros while generating lines. Macros are certain strings that are either replaced or processed by the program when it inserts lines. Using macros, you can paste the current time and date, insert the commands emulating pressing the Tab or Enter keys.

Double pressing the hot key will result in the main program dialog to be displayed on the screen.

Besides, the program records the clipboard history. It means that several text fragments recently copied onto the clipboard are always at hand. It makes the work connected with copying and pasting text frequently considerably easier.

Softvoile © 2002-2005


Flashpaste - Comparison of versions

Comparison of versions

There are two versions of the program:

  • Flashpaste Lite - Freeware edition with limited functionality.
  • Flashpaste Pro - The version with extended functionality. Requires paid registration after 30 days of use.

Table of differences between Flashpaste Pro and Flashpaste Lite.

Feature | Lite | Pro
Capability to divide strings into folders. | No | Yes
Is Local Database supported? | No | Yes
Are Macros supported? | No | Yes
Absence of banner. | No | Yes
The program is free. | Yes | No, but it has a free 30-day trial period.

Softvoile © 2003-2005


Flashpaste - What's new?

What's new?

You can subscribe here for our NewsLetter flashpaste-subscribe@softvoile.com

Version 3.3

  • Added: "Automatically Hide String Selection Dialog Box when leaving its window" option.
  • Added: Option to disable restoring Clipboard Content after pasting a Clip
  • Improved: MS Word and Exel interoperability.
  • Improved: New hotkeys were added to String Selection Dialog Box (F2, Ctrl+Left Arrow, Right Arrow)
  • Added: Configurable "Compatibility Delay" option, to get rid of some rare problems while pasting clips.
  • Improved: Reduced memory footprint.
November 17'05.

Version 3.2

  • Added: Quick pasting the string pasted last without opening the String Selection dialog box;
  • Added: Possibility to using the Local Database in addition to Common Database (Only in Pro version);
  • Improved: Redesigned Options dialog box;
September 07'05.

Version 3.1

  • Fixed: Loss of focus after double clicking a string;
  • Fixed: Extra line break is errorneously added to last string on each database save;
  • Fixed: Minor bug in installation script;
  • Fixed: Resolved a problem with French localization;
July 07'05.

Version 3.0

  • The program was completely redesigned;
  • Work in Browsers was improved;;
  • Added a toolbar in the String Selection dialog box;
  • Now a doucle-click on the IconTray show the main window;
  • Now it is possible to select place for appearance of the String Selection dialog box (three variants is available);
  • Added a Wizard for new users;
  • Correction bug when open Help File;
  • Reduce the application's size;
  • Speed improvement;
  • Some other changes;
June 22'05.

Version 2.5

  • Now it is possible to resize the string selection dialog box.
  • Now it is possible to copy strings into the clipboard instead of inserting them.
  • Now it is possible to disable the clipboard history for Microsoft Word\Excel.
  • Repeated records are no longer copied into the clipboard history.
May 07'05.

Version 2.4

  • Added an option to automatically select the last line inserted.
  • The line editing dialog is now available through a double-click on its tree item.
  • Added an extended macro for inserting time and date in any format (Only in Pro version).
  • Added macros for positioning the cursor:VK_UP, VK_DOWN, VK_RIGT, VK_LEFT (Only in Pro version).
December 11'04.

Version 2.3

  • The macros mechanism is implemented for lines being inserted.(Only in Pro version).
  • Bugs in logging the clipboard history are fixed.
  • Italian, Spanish and Dutch languages is added.
November 20'04.

Version 2.2

  • The clipboard history feature is added.
  • The localization mechanism is implemented.
  • The program statistics system is added.
  • Some other improvements and new features.
November 01'04.

Version 2.1

  • Bugs while functioning under WinXP SP2 are fixed.
  • The possibility of setting the minimizing mode instead of closing the program is added.
  • Error with show the tooltip in the system tray at each launching is fixed now.
  • The trial period is increased up to 30 days now.(Only in Pro version).
  • Improved interface.
October 03'04.

Version 2.0

  • Capability to divide string into folders.(Only in Pro version).
  • Added drag&drop support in the string tree.
  • Now you can see the entire text to be inserted in a tooltip.
  • Now the dialog box for selecting the line to be inserted has hotkeys 1...0 to quickly select the necessary line and Ctrl-1...Ctrl-0 to quickly select the insert a line.
  • Now you can store the database of the program anywhere.
  • The program interface is improved.
  • A few minor improvements.
September 07'04.

Version 1.0

  • First public release.
August 2003.


Flashpaste - Quick start

Quick start

To start working, you should enter the strings you need in the database. You can read how to add strings in the corresponding section. After that you should specify the hotkey opening the dialog box for selecting strings. You can specify the hotkey in the settings dialog.

Now the application is ready to work. If you need to insert a string you have created before, just press the hotkey and the dialog box for selecting strings will appear on the screen. using the keyboard, the mouse or by pressing the hotkey, select the necessary string and press "Enter". the dialog box for selecting the string is closed while the selected string is inserted in the proper place.
It is all easy!

To open the Main Program Window, just click the icon in the systray or double-press the corresponding hotkey.

Good luck and enjoy working with the program.


Flashpaste - Hot Keys

Hot Keys

Global Hot Keys.

Global Hot Keys are keyboard shortcuts that you can use in any program to open the Flashpaste String Selection dialog box or to insert the last inserted string. You can assign them in the Options dialog box.

Default value:

  • Ctrl-I - Opening the Flashpaste String Selection dialog box.
  • Ctrl-O - Quick pasting the string pasted last.

String Selection dialog box Hot Keys.

  • 1, 2…, 9 , 0 – Quickly selecting the string by its number. "1" – corresponds to the first string in the list, "0" – corresponds to the tenth string. Strings in folders are numbered beginning from the first string in the current folder.
  • Ctrl-1, Ctrl-2…, Ctrl-9, Ctrl-0 – The same as a usual numeric key, but the settings dialog box is closed and the selected string is inserted immediately.
  • Alt-C - Move on the first line in the Clipboard History folder.
  • Ctrl-C – Copying the selected string into the clipboard.
  • Ctrl-Left Arrow – Quick move on the first clip.
  • F2 – Switching the "And Close" option.
  • Enter, Right arrow – Inserting the selected string or Open Folder.
  • Esc – Close the dialog box without inserting a string.

Main program window Hot Keys.

  • F1 - Help.
  • F2 - Editing the selected string.
  • F3 - Add a new string.
  • F4 – changing program settings..
  • F5 – Add a new folder.(in Pro version)
  • Del - Remove the selected item from the string tree.


Flashpaste - String Selection Dialog Box.

String Selection Dialog Box.

The String Selection dialog box is a special dialog box for selecting the string to be inserted or copied. When you need to paste a string you entered before, just press the hot key or click the icon in the system tray with the left mouse button and the String Selection dialog box will appear on the screen.

Paste the text into the current position of the cursor.
Copy the string to the clipboard.
Close the String Selection dialog box.
Close the String Selection dialog box after the text is inserted or copied into the clipboard.

Now all you have to do is use the keyboard (arrow keys), mouse or Hot Keys to select the string you need. After that you can:

  • Paste it directly into the application that was active at the moment you opened the String Selection dialog box (Enter, a double click with the left mouse button);
  • Copy string to clipboard (Ctrl-C, Ctrl-Insert,...);
  • Cancel pasting the string by pressing the Esc key.;

You can use a tooltip appearing next to the String Selection dialog box to see the full text of the current string. If you want to see this tooltip, select the corresponding checkbox in the options of the program.


Flashpaste - Main Window

Main Window

You can see the string tree and the field for editing the text being inserted in the main window of the program. The main window is used for creating and editing the list of strings. Everything you can do with strings or with the database is available through either buttons or the main program menu.

Flashpaste - main window


Flashpaste - Tray Menu.

Tray Menu.

When you launch Flashpaste, it can place its icon in the system tray area (next to the clock). If you click it with the left mouse button, the String Selection dialog box will appear on the screen. If you right-click it, the tray menu will appear.

You can use this menu both for accessing service functions and for inserting text.


Flashpaste - Program settings

Program settings

You can open the program settings dialog box either by selecting the menu item File->Options or by pressing F4.

The settings dialog of Flashpaste.

The "General" tab.

"Show the full text in a tooltips" - The dialog box for selecting the string to be inserted will contain a hint with the full text being inserted to the right from the selected string. This feature may come in handy if you have a lot of strings and sometimes you fail to remember the full text based on the short string.

"Remember latest pasted string" - If you clear this checkbox, each time you open the String Selection dialog box, the first string will be selected. Otherwise Flashpaste will remember the string you pasted last and automatically make it current.

Checking the "Run on Windows startup" checkbox will enable or disable running Flashpaste automatically when Windows starts.

You can also choose the program interface language using the corresponding dropdown list.

The "Hot Keys" tab.

"Main Hot Key" - You can specify a hot key to open the dialog box for selecting the line to be inserted. Double-pressing the hot key will open the main program window.

"Hot Key for quick pasting the string pasted last" - pasting the last pasted text without opening the String Selection dialog box. If you need to paste one and the same string several times, there is no more need to open the String Selection dialog box each time. Open it only once and then you can use this feature.

"Icon in systray" - When you launch Flashpaste, it can place its icon in the system tray area (next to the clock). If you click it with the left mouse button, the String Selection dialog box will appear on the screen. If you right-click it, the menu will appear. If you think that there is no need for the program to place its icon in the systray, clear this checkbox.

The "Clipboard History" tab.

"Enable Clipboard History" - Enables recording the history.

"Clipboard History Folder on top(otherwise on bottom)" - If selected, the clipboard history folder will be the first one in the line selection tree. If cleared, it will be the last one.

If you have problems with copying data in Microsoft Word\Excel when Flashpaste is running, it makes sense to disable the clipboard history for these applications by selecting the corresponding checkboxes in the settings of Flashpaste (F4). Unfortunately, we cannot find a mechanism that would work correctly with the clipboard in Microsoft Office applications so far.

The "Databases" tab.

"Path to database" - the path to the file where the database with strings is stored.

Also, you can use this tab to configure the parameters of working with the Local Database: enable or disable it, specify the path to the database file and the position of the folder with local strings in the tree of the String Selection dialog box.


Flashpaste - Macros overview

Macros overview

Macros are certain strings that are either replaced or processed by the program when it inserts lines. Using macros, you can add the current time and date, insert the commands emulating pressing the Tab or Enter keys...

Note: Macros are available only in the PRO version of the program.

Types of macros supported by Flashpaste Pro:

Date and Time:

  • %Date% - Current date insertion.
  • %Time% - Ccurrent time insertion..
  • %DateTime% - Current date and time insertion.
  • %ExTime(...)% - An extended macro for inserting time and date in any format.
Keystroke emulation:
  • %VK_TAB% - Insert the command emulating pressing the TAB key.
  • %VK_ENTER% - Insert the command emulating pressing the Enter key.
  • %VK_SPACE% - Insert the command emulating pressing the Space key.
  • %VK_UP% - Insert the command emulating pressing the Arrow Up key.
  • %VK_DOWN% - Insert the command emulating pressing the Arrow Down key.
  • %VK_LEFT% - Insert the command emulating pressing the Arrow Left key.
  • %VK_RIGHT% - Insert the command emulating pressing the Arrow Right key.

Use the macros %Local_1%, %Local_2% and %Local_3% to insert local texts. Each of the macros is replaced with the local text with the corresponding number. This type of macros can be useful when the database with lines for the program is stored on a network resource and used by several people. In this case the line database can contain such text as "Best regards, %Local_1%" while the variable %Local_1% is different for each workplace and can contain your name. You can set the values of the local variables in the macros configuration dialog box


Flashpaste - Work with database

Work with database

To add a new string to the database, click "Add String" (F3) in the main program window. To create a new folder, use the "Add Folder" button or by pressing F5(in Pro version).

Add a new string in database

In the dialog box that appears you can see fields for entering two strings. The first string is just an identifier that will be displayed in the dialog box for selecting the string, it is entered in the upper input field. The string that will be actually inserted in its proper place can be much longer and have line breaks, it is entered in the lower field. You can use macros in your lines for insertion either typing them manually on your keyboard or using the corresponding menu button.

You can edit a previously entered string any moment. To edit the text being inserted, you can use the edit field either in the main window or in the edit dialog box ("Modify" or by pressing F2), you can edit the string identifier or the name of a folder only in the edit dialog box.

You can move a string in the string using the "Move Up" and "Move down" buttons or the drag&drop feature.

You can always save database manually using the main menu of the program (File->Save Database). To reopen the database from the file, use File->Reopen Database. Also database will be saved automatically when you will close the main window.

The path to the file where the program database is stored is specified in the settings dialog box.

Starting from version 3.2, Flashpaste supports working with the Local Database.


Flashpaste - Work with Local Database.

Work with Local Database.

The Local Database is a supplementary set of strings added to the main database. Suppose you use one common database for several persons, but each of you needs to have his personal unique strings. The Local Database is intended particularly for such cases. All you have to do is add your unique strings to it, allow it to be used in the program options and select the position of the folder with the local data in the common String Tree.

How to use the Local Database.

  1. Open the main window of Flashpaste;
  2. Select File->Local Database in the main menu;
  3. Add your strings to it, use the "Add Folder" and "Add String" buttons;
  4. Open the Options dialog box (F4 or File->Options), switch to the "Databases" tab and select the "Use Local Database" checkbox;
  5. Select the position of the Local folder : 0 - latest item, 1 - first item, any other number - position in the tree.
  6. Hit "Ok"

Now you can use the Local Database together with the main one.

Note: Macros are available only in the PRO version of the program.


Flashpaste - Clipboard History.

ClipBoard History.

The Clipboard History is a special feature of the program used for storing text fragments recently placed by the user onto the clipboard. Now you can quickly paste recent text fragments at any moment. It makes the work connected with copying and pasting text frequently considerably easier.

Just press the corresponding hotkey to paste text from the clipboard history. After that you should move to the "Clipboard History" folder and select the necessary text. You can use the Alt+C hotkey to quickly move to that folder.

You can use the program options to specify the location of the clipboard folder in the line selection dialog box.

If you have problems with copying data in Microsoft Word\Excel when Flashpaste is running, it makes sense to disable the clipboard history for these applications by selecting the corresponding checkboxes in the settings of Flashpaste (F4). Unfortunately, we cannot find a mechanism that would work correctly with the clipboard in Microsoft Office applications so far.

If you want to have the entire history of the clipboard, take a look at our free utility called ClipDiary.


Flashpaste - Technical support

Technical support
For technical support please mail to support@softvoile.com. In the subject of your message state briefly the essence of a question. In the body of your message please specify the question, the used version of Flashpaste.

You can subscribe here for our NewsLetter Subscribe-flashpaste@softvoile.com

Visit our forum.

Please, note - before sending a question to the technical support read the program help.


Flashpaste - Registration

Registration

Flashpaste Pro is a "try before you buy" software. It means that you may download a program from our site to evaluatie its capabilities. This is shareware 30-day trial version. To get a fullly functional program you should order your license. When you buy our software you get the following benefits:

Fully functional program
Free lifetime technical support
Free update to all the future releases of the program

Flashpaste Pro license is currently only $19.95(US).
Extended User Pack (floating license for one user) license is currently only $29.95(US).

About Extended User Pack: this kind of the license gratns you a right to use Flashpaste Pro on up to three computers (i.e. home PC, office PC and notebook). You may use the Software on another computers as long as you are the primary user of each copy and no more than three copies are active at any given moment. If you need to use Flashpaste Pro on two computers at work and at home buy this Extended User Pack and SAVE $10. If you need to use it at three places, you save $30.

To order Flashpaste Pro now - click here

Order processing time is 24 hours or less. You will receive your unlock data via email, so valid email address is required. If nothing arrives within 24 hours, please contact sales@softvoile.com. Please check your junk mail folder if you are using a spam filter. Emails with ordering information are occasionally mis-identified as spam.

Softvoile © 2002-2005


Flashpaste - License for Flashpaste Lite.

License for Flashpaste Lite.

FLASHPASTE LITE - PRODUCT LICENSE INFORMATION.

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE FLASHPASTE LITE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT. Softvoile Company grants you a license to use one copy of the version of this SOFTWARE on any one system. "You" means the company, entity or individual. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. This license is not transferrable to any other system, or to another organization or individual.

2. OWNERSHIP. The SOFTWARE is owned and copyrighted by Softvoile Company. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE .

3. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of SOFTVOILE Company and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.

5. NO OTHER WARRANTIES. SOFTVOILE COMPANY DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. SOFTVOILE COMPANY DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL SOFTVOILE COMPANY OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF SOFTVOILE COMPANY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL SOFTVOILE COMPANYS' LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

8. ENTIRE AGREEMENT. This is the entire agreement between you and SOFTVOILE Company which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

http://flashpaste.com
http://softvoile.com
Copyright © 2003-2005 Softvoile.


Flashpaste - License for Flashpaste Pro.

License for Flashpaste Pro.

FLASHPASTE PRO - PRODUCT LICENSE INFORMATION.

The Flashpaste Pro is distributed as try-before-you-buy. This means:

1. All copyrights to Flashpaste Pro are exclusively owned by the Author - Tyushkov Nikolay. The SOFTWARE is protected by United States copyright law and international treaty provisions.

2.The Author reserves the right to revoke the license for any next version of Flashpaste Pro.

3. The product is NOT FREE. The product is not sold, but licensed. You can freely use the limited version of application. You should acquire license for unlocking its full potential.On payment of the appropriate license fee, the user is granted a non-exclusive license to use Flashpaste on ONE computer (i.e. a single CPU), for any legal purpose, at a time. The registered software may not be rented or leased.

4. The evaluation version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of Flashpaste without written permission from the copyright holder.

5. FLASHPASTE PRO IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK.THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

7. All rights not expressly granted here are reserved by Tyushkov Nikolay.

8. Installing and using Flashpaste Pro signifies acceptance of these terms and conditions of the license.

9. If you do not agree with the terms of this license you must remove Flashpaste files from your storage devices and cease to use the product.

Thank you for using Flashpaste.
Tyushkov Nikolay.

http://flashpaste.com
http://softvoile.com
Copyright © 2003-2005 Softvoile.


Flashpaste - License for Flashpaste Pro - Extended User Pack (floating license for one user).

License for Flashpaste Pro - Extended User Pack (floating license for one user).

FLASHPASTE PRO - Extended User Pack (floating license for one user) - PRODUCT LICENSE INFORMATION.

The Flashpaste Pro is distributed as try-before-you-buy. This means:

1. All copyrights to Flashpaste Pro are exclusively owned by the Author - Tyushkov Nikolay. The SOFTWARE is protected by United States copyright law and international treaty provisions.

2.The Author reserves the right to revoke the license for any next version of Flashpaste Pro.

3. The product is NOT FREE. The product is not sold, but licensed. You can freely use the limited version of application. You should acquire license for unlocking its full potential. On payment of the appropriate license fee, the user is granted a non-exclusive license to use Flashpaste up to three computers(i.e. home PC, office PC and notebook), for any legal purpose, at a time. You may use the Software on another computers as long as you are the primary user of each copy and no more than three copies are active at any given moment. The registered software may not be rented or leased.

4. The evaluation version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of Flashpaste without written permission from the copyright holder.

5. FLASHPASTE PRO IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK.THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

7. All rights not expressly granted here are reserved by Tyushkov Nikolay.

8. Installing and using Flashpaste Pro signifies acceptance of these terms and conditions of the license.

9. If you do not agree with the terms of this license you must remove Flashpaste files from your storage devices and cease to use the product.

Thank you for using Flashpaste.
Tyushkov Nikolay.

http://flashpaste.softvoile.com
http://softvoile.com
Copyright © 2003-2005 Softvoile.


ClipDiary is a freeware utility for keeping the clipboard history.

When you use your computer you constantly place something into the clipboard. But it can't store your data for a long time - you turn off the computer or just copy some other text, and the data is lost. In most cases, this is not a problem, but have you never needed the text you copied 30 minutes or an hour ago? Maybe your computer is hanging and the program hasn't saved the data? Or maybe you copied some interesting information from a web page, but then someone distracted you and you forgot to paste it where you had wanted? Or you may simply want to recall what you were doing at the computer a month or even a year ago. There are a lot of cases when you may need to return to your clipboard content and we can offer a solution to this problem.

Install our free ClipDiary utility and you will never lose the data you once copied. The utility will run on Windows startup and will record everything you place to the clipboard into the database. At any moment you can view the clipboard history, copy the necessary item back into the cache memory or even paste it into an application. All you have to do is press the "Ctrl+D" keys combination or click the program icon in the system tray.

ClipDiary can log clipboard history and record data of several formats: plain text, RTF (Rich Text Format) and bitmap images (BMP). So, besides saving parts of text, you can easily make series of screenshots in your favorite games, and ClipDiary will save them for you.

What can ClipDiary do for me?

  • It will save my time.
  • I will be able to get a quick access to the data I copied only a minute ago and use it again.
  • I will be able to find the data I copied yesterday or a week ago. Nothing will be lost.
    •

Visit ClipDiary home page.


Flashnote is a rough copy for your texts.

How often do you have to write down something somewhere for some time? You may be speaking on the phone and you have to put down somebody's telephone number but your phone book is far away, or you may have to save URL to be able to use it in a few minutes or you may have just to copy a couple of pieces of a text and edit them, etc. There can be a great many of similar examples. What do you usually do in such cases? Someone opens Notepad, someone uses personal information managers, someone uses some other programs for keeping and processing texts. But all these variants have one drawback – lack of speed. Say you use PIM – as a rule it's a "heavy" class program, besides, before you can use it as a rough copy you should first find a place where you can safely write without being afraid "to litter" or to damage some important notes.

Flashnote has been created exactly for such cases. Just when you need a rough copy to save or to process some pieces of a text, here is Flashnote – small, quick and convenient. You just have to press the shortcut combination and in a flash of a second you will have your rough copy before you. This done, press ESC and the program hides. Simple like that. You needn't rack your brains to find a place for a text, to run Notepad or your favorite PIM. Everything could be done quicker, simpler and in a more convenient way.

Flashnote is not a personal information manager. Flashnote is not an electronic notebook. Flashnote is not a substitute of Notepad or some other text editor. Flashnote is just a rough copy for your quick work, you can always have it at hand and you can damage it without hesitation if necessary. Try it and we hope that you will get a true helper for your computer work.

Visit Flashnote home page.